<template>
  <v-card>
    <v-card-title> Login</v-card-title>
    <v-form v-model="valido">
      <v-text-field
        v-model="usuario"
        label="Usuario"
        :rules="rules"
      />
      <v-text-field
        v-model="password"
        label="contraseña"
        type="password"
        :rules="rules"
      />
    </v-form>
    <v-card-actions>
      <v-btn to="/recover">Recuperar Contraseña</v-btn>
      <v-spacer/>
      <v-btn @click="login" :disabled="!valido" large>Login</v-btn>
    </v-card-actions>
  </v-card>
</template>

<script>
export default {
  name: 'Login',
  data() {
    return {
      usuario: '',
      password: '',
      valido: false,
      rules: [
        v => !!v || 'Es requerido',
        v => v.length > 4 || 'más de 4 caracteres'
      ]
    }
  },
  methods: {
    login() {
      const user = this.$Parse.User.logIn(this.usuario, this.password)
      user
        .then((data) => {
          this.$router.push('app')
        })
        .catch((error) => {
          this.$store.dispatch('showSnackbar', {type: 'error',
          msg: 'El usuario o la contraseña son incorrectos' })
          console.error(error)
        })
    }
  }
}
</script>
